﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace INT99DC_7C.Part11_Encryption
{
    public partial class Encryption
    {
        public const int MAX_FILE_NAME_LENGTH = 256;

        [StructLayout(LayoutKind.Sequential, CharSet = CharSet.Unicode)]
        public struct auth_encryption_status_t
        {
            public int status;
            public int error_type;
            public int error_index;
            public int percentage;

            [MarshalAs(UnmanagedType.ByValTStr, SizeConst = MAX_FILE_NAME_LENGTH)]
            public string inFileName;
        }
    }
}
