﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace INT99DC_7C.Int_Modbus
{
    public class ModbusDefine
    {
        public enum _30000_Modbus
        {
            UnderRange_High = 1010,
            UnderRange_Low = 1011,
            PassRange_High = 1012,
            PassRange_Low = 1013,
            OverRange_High = 1014,
            OverRange_Low = 1015,
            TareRange_High = 1016,
            TareRange_Low = 1017,
            HighLimit_High = 1018,
            HighLimit_Low = 1019,
            DeadZoneHighLimit_High = 1020,
            DeadZoneHighLimit_Low = 1021,
            DeadZoneLowLimit_High = 1022,
            DeadZoneLowLimit_Low = 1023,
            LowLimit_High = 1024,
            LowLimit_Low = 1025,
            SampleCount_High = 1026,
            SampleCount_Low = 1027,
            IgnoreCount_High = 1028,
            IgnoreCount_Low = 1029,

            _1_Update = 1200,
            _1_Grade = 1201,
            _1_Weight_High = 1202,
            _1_Weight_Low = 1203,
            _1_UnderCount_High = 1204,
            _1_UnderCount_Low = 1205,
            _1_PassCount_High = 1206,
            _1_PassCount_Low = 1207,
            _1_OverCount_High = 1208,
            _1_OverCount_Low = 1209,
            _1_NGCount_High = 1210,
            _1_NgCount_Low = 1211,
            _1_ExNGCount_High = 1212,
            _1_ExNgCount_Low = 1213,
            _1_TotalCount_High = 1214,
            _1_TotalCount_Low = 1215,

            _2_Update = 1250,
            _2_Grade = 1251,
            _2_Weight_High = 1252,
            _2_Weight_Low = 1253,
            _2_UnderCount_High = 1254,
            _2_UnderCount_Low = 1255,
            _2_PassCount_High = 1256,
            _2_PassCount_Low = 1257,
            _2_OverCount_High = 1258,
            _2_OverCount_Low = 1259,
            _2_NGCount_High = 1260,
            _2_NgCount_Low = 1261,
            _2_ExNGCount_High = 1262,
            _2_ExNgCount_Low = 1263,
            _2_TotalCount_High = 1264,
            _2_TotalCount_Low = 1265,

            _3_Update = 1300,
            _3_Grade = 1301,
            _3_Weight_High = 1302,
            _3_Weight_Low = 1303,
            _3_UnderCount_High = 1304,
            _3_UnderCount_Low = 1305,
            _3_PassCount_High = 1306,
            _3_PassCount_Low = 1307,
            _3_OverCount_High = 1308,
            _3_OverCount_Low = 1309,
            _3_NGCount_High = 1310,
            _3_NgCount_Low = 1311,
            _3_ExNGCount_High = 1312,
            _3_ExNgCount_Low = 1313,
            _3_TotalCount_High = 1314,
            _3_TotalCount_Low = 1315,

            _4_Update = 1350,
            _4_Grade = 1351,
            _4_Weight_High = 1352,
            _4_Weight_Low = 1353,
            _4_UnderCount_High = 1354,
            _4_UnderCount_Low = 1355,
            _4_PassCount_High = 1356,
            _4_PassCount_Low = 1357,
            _4_OverCount_High = 1358,
            _4_OverCount_Low = 1359,
            _4_NGCount_High = 1360,
            _4_NgCount_Low = 1361,
            _4_ExNGCount_High = 1362,
            _4_ExNgCount_Low = 1363,
            _4_TotalCount_High = 1364,
            _4_TotalCount_Low = 1365,

            _5_Update = 1400,
            _5_Grade = 1401,
            _5_Weight_High = 1402,
            _5_Weight_Low = 1403,
            _5_UnderCount_High = 1404,
            _5_UnderCount_Low = 1405,
            _5_PassCount_High = 1406,
            _5_PassCount_Low = 1407,
            _5_OverCount_High = 1408,
            _5_OverCount_Low = 1409,
            _5_NGCount_High = 1410,
            _5_NgCount_Low = 1411,
            _5_ExNGCount_High = 1412,
            _5_ExNgCount_Low = 1413,
            _5_TotalCount_High = 1414,
            _5_TotalCount_Low = 1415,

            _6_Update = 1450,
            _6_Grade = 1451,
            _6_Weight_High = 1452,
            _6_Weight_Low = 1453,
            _6_UnderCount_High = 1454,
            _6_UnderCount_Low = 1455,
            _6_PassCount_High = 1456,
            _6_PassCount_Low = 1457,
            _6_OverCount_High = 1458,
            _6_OverCount_Low = 1459,
            _6_NGCount_High = 1460,
            _6_NgCount_Low = 1461,
            _6_ExNGCount_High = 1462,
            _6_ExNgCount_Low = 1463,
            _6_TotalCount_High = 1464,
            _6_TotalCount_Low = 1465,

            _7_Update = 1500,
            _7_Grade = 1501,
            _7_Weight_High = 1502,
            _7_Weight_Low = 1503,
            _7_UnderCount_High = 1504,
            _7_UnderCount_Low = 1505,
            _7_PassCount_High = 1506,
            _7_PassCount_Low = 1507,
            _7_OverCount_High = 1508,
            _7_OverCount_Low = 1509,
            _7_NGCount_High = 1510,
            _7_NgCount_Low = 1511,
            _7_ExNGCount_High = 1512,
            _7_ExNgCount_Low = 1513,
            _7_TotalCount_High = 1514,
            _7_TotalCount_Low = 1515,

            _8_Update = 1550,
            _8_Grade = 1551,
            _8_Weight_High = 1552,
            _8_Weight_Low = 1553,
            _8_UnderCount_High = 1554,
            _8_UnderCount_Low = 1555,
            _8_PassCount_High = 1556,
            _8_PassCount_Low = 1557,
            _8_OverCount_High = 1558,
            _8_OverCount_Low = 1559,
            _8_NGCount_High = 1560,
            _8_NgCount_Low = 1561,
            _8_ExNGCount_High = 1562,
            _8_ExNgCount_Low = 1563,
            _8_TotalCount_High = 1564,
            _8_TotalCount_Low = 1565,

            _9_Update = 1600,
            _9_Grade = 1601,
            _9_Weight_High = 1602,
            _9_Weight_Low = 1603,
            _9_UnderCount_High = 1604,
            _9_UnderCount_Low = 1605,
            _9_PassCount_High = 1606,
            _9_PassCount_Low = 1607,
            _9_OverCount_High = 1608,
            _9_OverCount_Low = 1609,
            _9_NGCount_High = 1610,
            _9_NgCount_Low = 1611,
            _9_ExNGCount_High = 1612,
            _9_ExNgCount_Low = 1613,
            _9_TotalCount_High = 1614,
            _9_TotalCount_Low = 1615,

            _10_Update = 1650,
            _10_Grade = 1651,
            _10_Weight_High = 1652,
            _10_Weight_Low = 1653,
            _10_UnderCount_High = 1654,
            _10_UnderCount_Low = 1655,
            _10_PassCount_High = 1656,
            _10_PassCount_Low = 1657,
            _10_OverCount_High = 1658,
            _10_OverCount_Low = 1659,
            _10_NGCount_High = 1660,
            _10_NgCount_Low = 1661,
            _10_ExNGCount_High = 1662,
            _10_ExNgCount_Low = 1663,
            _10_TotalCount_High = 1664,
            _10_TotalCount_Low = 1665,

            _11_Update = 1700,
            _11_Grade = 1701,
            _11_Weight_High = 1702,
            _11_Weight_Low = 1703,
            _11_UnderCount_High = 1704,
            _11_UnderCount_Low = 1705,
            _11_PassCount_High = 1706,
            _11_PassCount_Low = 1707,
            _11_OverCount_High = 1708,
            _11_OverCount_Low = 1709,
            _11_NGCount_High = 1710,
            _11_NgCount_Low = 1711,
            _11_ExNGCount_High = 1712,
            _11_ExNgCount_Low = 1713,
            _11_TotalCount_High = 1714,
            _11_TotalCount_Low = 1715,

            _12_Update = 1750,
            _12_Grade = 1751,
            _12_Weight_High = 1752,
            _12_Weight_Low = 1753,
            _12_UnderCount_High = 1754,
            _12_UnderCount_Low = 1755,
            _12_PassCount_High = 1756,
            _12_PassCount_Low = 1757,
            _12_OverCount_High = 1758,
            _12_OverCount_Low = 1759,
            _12_NGCount_High = 1760,
            _12_NgCount_Low = 1761,
            _12_ExNGCount_High = 1762,
            _12_ExNgCount_Low = 1763,
            _12_TotalCount_High = 1764,
            _12_TotalCount_Low = 1765,
        }
    }
}
